#!/usr/dist/bin/wishx -f

#
# ppp.tcl
# Copyright (C) 1996 by John Heidemann
# This program is released under the Gnu Public License, version 2.
# Comments to <johnh@isi.edu>.
#

proc ppp_update {} {
	global rdb ppp monitor_module

	if {!$monitor_module(ppp)} { return }

	set f [open "/proc/net/dev" r]
	set ln ""
	while {[gets $f l] >= 0} {
		if [string match "eth*" $l] {
			set tm "eth"
		}
		if [string match "ppp*" $l] {
			set tm "ppp"
		}
	}
	close $f


	# update every five seconds
	after 5001 ppp_update
}


proc ppp_start {} {
	global rdb ppp
	set_rdb_default ppp.row 1
	set_rdb_default ppp.size 10
	set_rdb_default ppp.halfsize [expr $rdb(ppp.size)/2]
	mk_rows $rdb(ppp.row)
	canvas .ppp -width $rdb(ppp.size) -height $rdb(ppp.size)
	set ppp(inlow) [.ppp create rectangle 0 0 $rdb(ppp.halfsize) $rdb(ppp.halfsize)]
	set ppp(inhigh) [.ppp create rectangle 0 $rdb(ppp.halfsize) $rdb(ppp.halfsize) $rdb(ppp.size)]
	set ppp(outlow) [.ppp create rectangle $rdb(ppp.halfsize) 0 $rdb(ppp.size) $rdb(ppp.halfsize)]
	set ppp(outhigh) [.ppp create rectangle $rdb(ppp.halfsize) $rdb(ppp.halfsize) $rdb(ppp.size) $rdb(ppp.size)]
	ppp_update
}

proc ppp_stop {} {
	destroy .ppp
}

